Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.set.impl
Class AbstractSetRequestComponent

    java.lang.Object
      org.apache.muse.ws.resource.properties.set.impl.AbstractSetRequestComponent

All Implemented Interfaces:
  SetRequestComponent, XmlSerializable

Direct Known Subclasses:
  DeleteRequest, InsertRequest, UpdateRequest

public abstract class AbstractSetRequestComponent
extends java.lang.Object
implements SetRequestComponent

AbstractSetRequestComponent is a the abstract base class for the WS-ResourceProperties SetResourceProperties commands. It provides the basic creation and execution mechanisms, as well as security.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`AbstractSetRequestComponent()`

Method Summary
`int` | `getNumberOfValues()`
`QName` | `getPropertyName()`
`java.lang.Object` | `getSecurityToken()`
`org.w3c.dom.Element` | `getValue(int index)`
`org.w3c.dom.Element[]` | `getValues()`
`void` | `setPropertyName(QName qname)`
`void` | `setSecurityToken(java.lang.Object securityToken)`
`void` | `setValues(java.lang.Object[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.properties.set.SetRequestComponent
`execute`

Methods inherited from interface org.apache.muse.util.xml.XmlSerializable
`toXML, toXML`

Constructor Detail

### AbstractSetRequestComponent

    public AbstractSetRequestComponent()

Method Detail

### getNumberOfValues

    public int getNumberOfValues()

  Specified by:
    `getNumberOfValues` in interface `SetRequestComponent`

### getPropertyName

    public QName getPropertyName()

  Specified by:
    `getPropertyName` in interface `SetRequestComponent`
  Returns:
    The name of the property being operated on.

### getSecurityToken

    public java.lang.Object getSecurityToken()

  Specified by:
    `getSecurityToken` in interface `SetRequestComponent`
  Returns:
    The security token assigned by the command's creator, which may affect its ability to execute successfully.

### getValue

    public org.w3c.dom.Element getValue(int index)

  Specified by:
    `getValue` in interface `SetRequestComponent`

### getValues

    public org.w3c.dom.Element[] getValues()

  Specified by:
    `getValues` in interface `SetRequestComponent`

### setPropertyName

    public final void setPropertyName(QName qname)

  Specified by:
    `setPropertyName` in interface `SetRequestComponent`

### setSecurityToken

    public final void setSecurityToken(java.lang.Object securityToken)

  Specified by:
    `setSecurityToken` in interface `SetRequestComponent`

### setValues

    public final void setValues(java.lang.Object[] values)

  Specified by:
    `setValues` in interface `SetRequestComponent`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD